---
title: ':-moz-submit-invalid'
slug: 'Web/CSS/:-moz-submit-invalid'
tags:
  - ':-moz-submit-invalid'
  - CSS
  - 'CSS:Mozilla Extensions'
  - Non-standard
  - Pseudo-class
  - Reference
  - Selector
---
<div>{{CSSRef}}{{Non-standard_Header}}</div>

<p>The <strong><code>:-moz-submit-invalid</code></strong> CSS <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-class</a> is a <a href="/en-US/docs/Web/CSS/Mozilla_Extensions">Mozilla extension</a> that represents any submit {{HTMLElement("button")}} on forms whose contents aren't valid based on their <a href="/en-US/docs/Learn/Forms#Constraint_Validation">validation constraints</a>.</p>

<p>By default, no style is applied. You can use this pseudo-class to customize the appearance of the submit button when there are invalid form fields.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.-moz-submit-invalid")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{CSSxRef(":valid")}}</li>
 <li>{{CSSxRef(":invalid")}}</li>
 <li>{{CSSxRef(":required")}}</li>
 <li>{{CSSxRef(":optional")}}</li>
</ul>
